
/**
 * A common parent for all the coloured symbol cards
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public abstract class AbstractCard implements Card
{
    private char mySymbol;
    private int myColour;
    
    public AbstractCard(char symbol, int colour) {
        mySymbol = symbol;
        myColour = colour;
    }
    
    public char getSymbol() {
        return mySymbol;
    }
    
    public int getColour() {
        return myColour;
    }
    
    public boolean canPlayOn(Card c) {
        return mySymbol == c.getSymbol() || myColour == c.getColour();        
    }
    
    abstract public void play(Game g);

}
