
/**
 * A Card in the Uno Game.
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public interface Card
{
    // valid card colours
    public final static int COLOUR_NONE = 0;
    public final static int COLOUR_BLUE = 1;
    public final static int COLOUR_RED = 2;
    public final static int COLOUR_GREEN = 3;
    public final static int COLOUR_YELLOW = 4;
    public final static int NUM_COLOURS = 4;
    
    /**
     * Get the colour of the card. 
     */
    public int getColour();
    
    /**
     * Get the symbol on the card
     */
    public char getSymbol();
    
    /**
     * Test if the card can be played on the given card
     */
    public boolean canPlayOn(Card card);    
    
    /**
     * Implement any special effects of playing this card
     */
    public void play(Game game);
}
