
/**
 * A Draw card in Uno.
 * 
 * Can be played on a card with the same symbol or colour.
 * 
 * Causes the next player to draw cards and skip their turn
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public class DrawCard extends AbstractCard
{
    private int myNDraw;

    public DrawCard(int colour, int nDraw) {
        super('D', colour);
        myNDraw = nDraw;
    }
    
    public void play(Game game) {
        // the next player draws and skips
        Player victim = game.getNextPlayer(1);
        game.draw(victim, myNDraw);
        game.goToNextPlayer(); // skip the victim
    }
}
