
/**
 * A reverse card in UNO.
 * 
 * Can be played on any card of the same colour and number.
 * 
 * Reverses direction when played.
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public class ReverseCard extends AbstractCard
{
    
    public ReverseCard(int colour) {
        super('R', colour);
    }
    
    public void play(Game game) {
        // reverse the direction of play
        int dir = game.getPlayDirection();
        game.setPlayDirection(-dir);
    }
    
}
