import java.util.Random;
/**
 * Implementation of a Wild Card.
 * 
 * This card can be played on any other card.
 * When it is played, its colour is reset randomly.
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public class WildCard implements Card
{
    private int myColour;
    
    public WildCard() {
        // no colour initially
        myColour = Card.COLOUR_NONE;
    }    

    public int getColour() {
        return myColour;
    }
    
    public char getSymbol() {
        return 'W';
    }

    public boolean canPlayOn(Card card) {
        // always valid
        return true;
    }
    
    public void play(Game game) {
        // pick a random colour
        Random rng = new Random();
        myColour = rng.nextInt(NUM_COLOURS) + 1;        
    }
    
}
