import java.util.Random;
/**
 * Implementation of a Wild Draw Card.
 * 
 * This card can be played on any other card.
 * When it is played, its colour is reset randomly.
 * And the next player must draw and miss a turn.
 * 
 * @author Malcolm Ryan
 * @version 4 Oct 2012
 */
public class WildDrawCard extends WildCard
{
    private int myNDraw;
    
    public WildDrawCard(int nDraw) {
        super();
        myNDraw = nDraw;
    }    

    public char getSymbol() {
        return 'X';
    }

    public void play(Game game) {
        super.play(game);
        
        // make the next player draw and skip
        Player victim = game.getNextPlayer(1);
        game.draw(victim, myNDraw);
        game.goToNextPlayer(); // skip the victim
    }
    
}
